Subject: Re: [bug#34198] [PATCH 1/2] gnu: poppler-qt4: Enable qt4 frontend.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 29 Jan 2019 21:09:59 +0100

Hi Ricardo,

On Tue, 29 Jan 2019 18:05:22 +0100
Ricardo Wurmus <[email-masked]> wrote:

> Could the previous higher version of the package not be built?
> Otherwise we’d have to deal with the downgrade somehow to make sure that
> installed packages get downgraded to this version as well.

It could technically be built, but it was missing the qt4 frontend because
newer poppler versions had removed it from its source entirely.

Nobody else uses poppler-qt4 in Guix - otherwise the client would have noticed
that it did not work at all.

I just needed a PDF differ which requires poppler-qt4, so I fixed poppler-qt4.